Bug 982385 - Use xz to compress tarball
Use xz to compress tarball
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: coot (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Tim Fenn
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 17:10 EDT by Ville Skyttä
Modified: 2013-08-20 20:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: coot-0.7-5.20120929svn4458.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-20 20:11:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-07-08 17:10:53 EDT
Compressing the tarball with xz and doing svn export instead of co would save about 24 MB, see http://thread.gmane.org/gmane.linux.redhat.fedora.devel/181336

diff --git a/coot.spec b/coot.spec
index 461adde..ba915a4 100644
--- a/coot.spec
+++ b/coot.spec
@@ -14,3 +14,3 @@ Group: Applications/Engineering
-#  svn co -r 4458 http://coot.googlecode.com/svn/trunk coot-0.7
-#  tar cvzf coot-0.7-20120929svn4458.tar.gz coot-0.7
-Source0: coot-0.7-20120929svn4458.tar.gz
+#  svn export -r 4458 http://coot.googlecode.com/svn/trunk coot-0.7
+#  tar cvJf coot-0.7-20120929svn4458.tar.xz coot-0.7
+Source0: coot-0.7-20120929svn4458.tar.xz
Comment 1 Tim Fenn 2013-07-11 22:28:27 EDT
(In reply to Ville Skyttä from comment #0)
> Compressing the tarball with xz and doing svn export instead of co would
> save about 24 MB, see
> http://thread.gmane.org/gmane.linux.redhat.fedora.devel/181336
> 
> diff --git a/coot.spec b/coot.spec
> index 461adde..ba915a4 100644
> --- a/coot.spec
> +++ b/coot.spec
> @@ -14,3 +14,3 @@ Group: Applications/Engineering
> -#  svn co -r 4458 http://coot.googlecode.com/svn/trunk coot-0.7
> -#  tar cvzf coot-0.7-20120929svn4458.tar.gz coot-0.7
> -Source0: coot-0.7-20120929svn4458.tar.gz
> +#  svn export -r 4458 http://coot.googlecode.com/svn/trunk coot-0.7
> +#  tar cvJf coot-0.7-20120929svn4458.tar.xz coot-0.7
> +Source0: coot-0.7-20120929svn4458.tar.xz

OK, will do - release 0.7.1 is in the works, so I'll bundle this change with the updated release.
Comment 2 Fedora Update System 2013-08-12 04:18:15 EDT
coot-0.7-5.20120929svn4458.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/coot-0.7-5.20120929svn4458.fc19
Comment 3 Fedora Update System 2013-08-12 13:59:59 EDT
Package coot-0.7-5.20120929svn4458.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing coot-0.7-5.20120929svn4458.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14664/coot-0.7-5.20120929svn4458.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-20 20:11:02 EDT
coot-0.7-5.20120929svn4458.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.